# SIPEndPoint::InterfaceMonitor Class Reference

`#include <sipep.h>`

Collaboration diagram for SIPEndPoint::InterfaceMonitor:

[legend]

## Public Member Functions

| InterfaceMonitor (SIPEndPoint &manager, PINDEX priority)
virtual void | OnAddInterface (const PIPSocket::InterfaceEntry &entry)
virtual void | OnRemoveInterface (const PIPSocket::InterfaceEntry &entry)

## Protected Attributes

SIPEndPoint & | m_endpoint

## Constructor & Destructor Documentation

SIPEndPoint::InterfaceMonitor::InterfaceMonitor | ( | SIPEndPoint & | manager,
|  | PINDEX | priority |
| ) |  |  |

## Member Function Documentation

virtual void SIPEndPoint::InterfaceMonitor::OnAddInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[virtual]`

virtual void SIPEndPoint::InterfaceMonitor::OnRemoveInterface | ( | const PIPSocket::InterfaceEntry & | entry | ) | `[virtual]`

## Field Documentation

SIPEndPoint& SIPEndPoint::InterfaceMonitor::m_endpoint `[protected]`

The documentation for this class was generated from the following file:

- sipep.h